### Name: cspade
### Title: Mining Associations with cSPADE
### Aliases: cspade
### Keywords: models

### ** Examples

## use example data from paper
data(zaki)
## mine frequent sequences
s1 <- cspade(zaki, parameter = list(support = 0.4), 
                   control   = list(verbose = TRUE))
summary(s1)
as(s1, "data.frame")
## use timing constraint
s2 <- cspade(zaki, parameter = list(support = 0.4, maxwin = 5))
as(s2, "data.frame")

## replace timestamps
t <- zaki
transactionInfo(t)$eventID <-
    unlist(tapply(seq(t), transactionInfo(t)$sequenceID,
        function(x) x - min(x) + 1), use.names = FALSE)
as(t, "data.frame")
s0 <- cspade(t, parameter = list(support = 0.4))
s0
identical(as(s1, "data.frame"), as(s0, "data.frame"))

## Not run: 
##D ## use generated data
##D t <- read_baskets(con  = system.file("misc", "test.txt", package =
##D                                       "arulesSequences"),
##D                   info = c("sequenceID","eventID","SIZE"))
##D summary(t)
##D ## use low support
##D s3 <- cspade(t, parameter = list(support=0.03), 
##D                 control   = list(verbose=TRUE))
##D summary(s3)
## End(Not run)



